Attribute VB_Name = "mdlMain"
Option Explicit

Sub Main()
  Dim crc As New clsCRC32
  Dim d() As Byte

  d() = "This is an example."

  'generic method
  crc.Init
  crc.Process d()
  Debug.Print Hex(crc.GetDigest),

  'shorter method
  Debug.Print Hex(crc.GetDigestFromData(d())),

  'string method
  Debug.Print Hex(crc.GetDigestFromString("This is an example.")),

  'Resumable CRC
  crc.Init
  d() = "This is an "
  crc.Process d()
  d() = "example."
  crc.Process d()
  Debug.Print Hex(crc.GetDigest)
End Sub
