'Class that encloses multiple type properties.
'
'Author
'  Name .....: Josip Medved
'  E-mail ...: support@jmedved.com
'  URL ......: http://www.jmedved.com?findbytitle=tagitem

'Information
'  Additional : -
'  Requires ..: -
'  Has help ..: No
'  Has readme : No
'  Has sample : Yes
'  Last update: 2004-08-04 (yyyy-mm-dd)
'  Notes .....: -

'If you use this file in your program it would be nice to mention
'where you got it from, but you are not obligated to do so.

Option Compare Binary
Option Explicit On 
Option Strict On

Public Class TagItem
	Inherits Object

	Public Sub New(ByVal text As String, ByVal id As Integer)
		xText = text
		xID = id
	End Sub

	Public Sub New(ByVal id As Integer)
		xText = id.ToString
		xID = id
	End Sub

	Public Sub New(ByVal text As String)
		xText = text
	End Sub

	Public Sub New(ByVal text As String, ByVal tag As Object)
		xText = text
		xTag = tag
	End Sub

	Public Sub New(ByVal text As String, ByVal id As Integer, ByVal tag As Object)
		xText = text
		xID = id
		xTag = tag
	End Sub


	Private xText As String = ""
	Public Property Text() As String
		Get
			Return xText
		End Get
		Set(ByVal value As String)
			xText = value
		End Set
	End Property

	Private xID As Integer = 0
	Public Property ID() As Integer
		Get
			Return xID
		End Get
		Set(ByVal value As Integer)
			xID = value
		End Set
	End Property

	Private xTag As Object
	Public Property Tag() As Object
		Get
			Return xTag
		End Get
		Set(ByVal value As Object)
			xTag = value
		End Set
	End Property

	Public Overrides Function ToString() As String
		Return xText
	End Function

End Class
