VERSION 5.00
Begin VB.UserControl ctlCmnDlg 
   CanGetFocus     =   0   'False
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   ClipBehavior    =   0  'None
   HitBehavior     =   0  'None
   InvisibleAtRuntime=   -1  'True
   ScaleHeight     =   240
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   320
   ToolboxBitmap   =   "qCmnDlg.ctx":0000
   Begin VB.Image ImageIcon 
      Height          =   480
      Left            =   30
      Picture         =   "qCmnDlg.ctx":00FA
      Top             =   30
      Width           =   480
   End
End
Attribute VB_Name = "ctlCmnDlg"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'Author
'  Name .....: Josip Medved
'  E-mail ...: jmedved@vip.hr
'  URL ......: http://web.vip.hr/jmedved.vip/qeyes/

'Information
'  Requires ..: -
'  Additional : -
'  Has help ..: No
'  Has readme : No
'  Has sample : Yes
'  Created ...: - (yyyy/mm/dd)
'  Last update: 2002/04/12 (yyyy/mm/dd)
'  Notes .....: -

'If you use this file in your program it would be nice to mention
'where you got it from, but you are not obligated to do so.


Option Explicit

Public Enum eCmnDlgAction
  qacNoAction = 0
  qacOpen = 1
  qacSaveAs = 2
  qacColor = 3
  qacFont = 4
  qacPrinter = 5
  qacWinHelp = 6
End Enum

Public Enum eCmnDlgFontCharset
  qfcAnsi = 0
  qfcArabic = 178
  qfcBaltic = 186
  qfcChineseBig5 = 136
  qfcDefault = 1
  qfcEastEurope = 238
  qfcGreek = 161
  qfcHangeul = 129
  qfcHebrew = 177
  qfcJohab = 130
  qfcMac = 77
  qfcOEM = 255
  qfcRussian = 204
  qfcShiftJIS = 128
  qfcSymbol = 2
  qfcThai = 222
  qfcTurkish = 162
End Enum

Public Enum eCmnDlgFlags
  qflDefault = 0
  qflCCFullOpen = &H2
  qflCCHelpButton = &H8
  qflCCPreventFullOpen = &H4
  qflCCRGBInit = &H1
  qflCFANSIOnly = &H400
  qflCFApply = &H200
  qflCFBoth = &H3
  qflCFEffects = &H100
  qflCFFixedPitchOnly = &H4000
  qflCFForceFontExist = &H10000
  qflCFHelpButton = &H4
  qflCFLimitSize = &H2000
  qflCFNoFaceSel = &H80000
  qflCFNoSimulations = &H1000
  qflCFNoSizeSel = &H200000
  qflCFNoStyleSel = &H100000
  qflCFNoVectorFonts = &H800
  qflCFPrinterFonts = &H2
  qflCFScalableOnly = &H20000
  qflCFScreenFonts = &H1
  qflCFTTOnly = &H40000
  qflCFWYSIWYG = &H8000
  qflOFNAllowMultiselect = &H200
  qflOFNCreatePrompt = &H2000
  qflOFNExplorer = &H80000
  qflOFNExtensionDifferent = &H400
  qflOFNFileMustExist = &H1000
  qflOFNHelpButton = &H10
  qflOFNHideReadOnly = &H4
  qflOFNLongNames = &H200000
  qflOFNNoChangeDir = &H8
  qflOFNNoDereferenceLinks = &H100000
  qflOFNNoLongNames = &H40000
  qflOFNNoReadOnlyReturn = &H8000
  qflOFNNoValidate = &H100
  qflOFNOverwritePrompt = &H2
  qflOFNPathMustExist = &H800
  qflOFNReadOnly = &H1
  qflOFNShareAware = &H4000
  qflPDAllPages = &H0
  qflPDCollate = &H10
  qflPDDisablePrintToFile = &H80000
  qflPDHelpButton = &H800
  qflPDHidePrintToFile = &H100000
  qflPDNoPageNums = &H8
  qflPDNoSelection = &H4
  qflPDNoWarning = &H80
  qflPDPageNums = &H2
  qflPDPrintSetup = &H40
  qflPDPrintToFile = &H20
  qflPDReturnDC = &H100
  qflPDReturnDefault = &H400
  qflPDReturnIC = &H200
  qflPDSelection = &H1
  qflPDUseDevModeCopies = &H40000
End Enum

Public Enum eCmnDlgHelpCommand
  qhcHelpCommand = &H102&
  qhcHelpContents = &H3&
  qhcHelpContext = &H1&
  qhcHelpContextPopup = &H8&
  qhcHelpForceFile = &H9&
  qhcHelpHelpOnHelp = &H4&
  qhcHelpIndex = &H3&
  qhcHelpKey = &H101&
  qhcHelpPartialKey = &H105&
  qhcHelpQuit = &H2&
  qhcHelpSetContents = &H5&
  qhcHelpSetIndex = &H5&
End Enum

Public Enum eCmnDlgOrientation
  qorPortrait = 1
  qorLandscape = 2
End Enum

Private Const CCHDEVICENAME = 32
Private Const CCHFORMNAME = 32
Private Const CF_INITTOLOGFONTSTRUCT = &H40&
Private Const CLIP_DEFAULT_PRECIS = 0
Private Const DEFAULT_QUALITY = 0
Private Const DM_SPECVERSION = &H320
Private Const FF_DONTCARE = 0
Private Const FW_BOLD = 700
Private Const FW_MEDIUM = 500
Private Const FW_NORMAL = 400
Private Const LF_FACESIZE = 32
Private Const LOGPIXELSY = 90
Private Const MAX_PATH = 260
Private Const OUT_DEFAULT_PRECIS = 0

Private Type ChooseColor
  lStructSize As Long
  hwndOwner As Long
  hInstance As Long
  rgbResult As Long
  lpCustColors As String
  flags As Long
  lCustData As Long
  lpfnHook As Long
  lpTemplateName As String
End Type

Private Type LOGFONT
  lfHeight As Long
  lfWidth As Long
  lfEscapement As Long
  lfOrientation As Long
  lfWeight As Long
  lfItalic As Byte
  lfUnderline As Byte
  lfStrikeOut As Byte
  lfCharSet As Byte
  lfOutPrecision As Byte
  lfClipPrecision As Byte
  lfQuality As Byte
  lfPitchAndFamily As Byte
  lfFaceName(1 To LF_FACESIZE) As Byte
End Type

Private Type ChooseFont
  lStructSize As Long
  hwndOwner As Long
  hdc As Long
  lpLogFont As Long
  iPointSize As Long
  flags As Long
  rgbColors As Long
  lCustData As Long
  lpfnHook As Long
  lpTemplateName As String
  hInstance As Long
  lpszStyle As String
  nFontType As Integer
  MISSING_ALIGNMENT As Integer
  nSizeMin As Long
  nSizeMax As Long
End Type

Private Type OPENFILENAME
  lStructSize As Long
  hwndOwner As Long
  hInstance As Long
  lpstrFilter As String
  lpstrCustomFilter As String
  nMaxCustFilter As Long
  nFilterIndex As Long
  lpstrFile As String
  nMaxFile As Long
  lpstrFileTitle As String
  nMaxFileTitle As Long
  lpstrInitialDir As String
  lpstrTitle As String
  flags As Long
  nFileOffset As Integer
  nFileExtension As Integer
  lpstrDefExt As String
  lCustData As Long
  lpfnHook As Long
  lpTemplateName As String
End Type

Private Type PrintDlg
  lStructSize As Long
  hwndOwner As Long
  hDevMode As Long
  hDevNames As Long
  hdc As Long
  flags As Long
  nFromPage As Integer
  nToPage As Integer
  nMinPage As Integer
  nMaxPage As Integer
  nCopies As Integer
  hInstance As Long
  lCustData As Long
  lpfnPrintHook As Long
  lpfnSetupHook As Long
  lpPrintTemplateName As String
  lpSetupTemplateName As String
  hPrintTemplate As Long
  hSetupTemplate As Long
End Type

Private Declare Function ChooseColor Lib "comdlg32.dll" Alias "ChooseColorA" (pChoosecolor As ChooseColor) As Long
Private Declare Function ChooseFont Lib "comdlg32.dll" Alias "ChooseFontA" (pChoosefont As ChooseFont) As Long
Private Declare Function GetDeviceCaps Lib "gdi32" (ByVal hdc As Long, ByVal nIndex As Long) As Long
Private Declare Function GetFileTitle Lib "comdlg32.dll" Alias "GetFileTitleA" (ByVal lpszFile As String, ByVal lpszTitle As String, ByVal cbBuf As Integer) As Integer
Private Declare Function GetOpenFileName Lib "comdlg32.dll" Alias "GetOpenFileNameA" (pOpenfilename As OPENFILENAME) As Long
Private Declare Function GetSaveFileName Lib "comdlg32.dll" Alias "GetSaveFileNameA" (pOpenfilename As OPENFILENAME) As Long
Private Declare Sub MoveMemoryByte2Byte Lib "kernel32.dll" Alias "RtlMoveMemory" (Destination As Byte, Source As Byte, ByVal Length As Long)
Private Declare Function MulDiv Lib "kernel32" (ByVal nNumber As Long, ByVal nNumerator As Long, ByVal nDenominator As Long) As Long
Private Declare Function PrintDlg Lib "comdlg32.dll" Alias "PrintDlgA" (pPrintdlg As PrintDlg) As Long
Private Declare Function WinHelp Lib "user32" Alias "WinHelpA" (ByVal hWnd As Long, ByVal lpHelpFile As String, ByVal wCommand As Long, ByVal dwData As Long) As Long

Private xColor As OLE_COLOR
Private xCopies As Long
Private xDefaultExt As String
Private xDialogTitle As String
Private xFileName As String
Private xFileTitle As String
Private xFilter As String
Private xFilterIndex As Long
Private xFlags As eCmnDlgFlags
Private xFontBold As Boolean
Private xFontCharset As eCmnDlgFontCharset
Private xFontItalic As Boolean
Private xFontName As String
Private xFontSize As Long
Private xFontStrikeThru As Boolean
Private xFontUnderline As Boolean
Private xFromPage As Long
Private xhDC As Long
Private xHelpCommand As eCmnDlgHelpCommand
Private xHelpContext As Long
Private xHelpFile As String
Private xHelpKey As String
Private xInitDir As String
Private xLastError As Long
Private xMax As Long
Private xMaxFileSize As Long
Private xMin As Long
Private xOrientation As eCmnDlgOrientation
Private xPrinterDefault As Boolean
Private xToPage As Long

Public Property Let Action(Action As eCmnDlgAction)
Attribute Action.VB_MemberFlags = "200"
  Select Case Action
    Case qacColor
      ShowColor
    Case qacFont
      ShowFont
    Case qacOpen
      ShowOpen
    Case qacPrinter
      ShowPrinter
    Case qacSaveAs
      ShowSave
    Case qacWinHelp
      ShowHelp
  End Select
End Property

Public Property Get Color() As OLE_COLOR
Attribute Color.VB_Description = "Returns/sets the selected color."
  Color = xColor
End Property

Public Property Let Color(Color As OLE_COLOR)
  xColor = Color
  PropertyChanged "Color"
End Property

Public Property Get Copies() As Long
  Copies = xCopies
End Property

Public Property Let Copies(Copies As Long)
  xCopies = Copies
  PropertyChanged "Copies"
End Property

Public Property Get DefaultExt() As String
  DefaultExt = xDefaultExt
End Property

Public Property Let DefaultExt(DefaultExt As String)
  xDefaultExt = DefaultExt
  PropertyChanged "DefaultExt"
End Property

Public Property Get DialogTitle() As String
  DialogTitle = xDialogTitle
End Property

Public Property Let DialogTitle(DialogTitle As String)
  xDialogTitle = DialogTitle
  PropertyChanged "DialogTitle"
End Property

Public Property Get FileName() As String
  FileName = xFileName
End Property

Public Property Let FileName(FileName As String)
  xFileName = FileName
  
  Dim tmpBuff As String, tmpRet As Long
  tmpBuff = String$(MAX_PATH, 0)
  tmpRet = GetFileTitle(xFileName + vbNullChar, tmpBuff, Len(tmpBuff))
  If tmpRet = 0 Then
    Dim i As Long
    i = InStr(1, tmpBuff, vbNullChar)
    If i > 0 Then
      xFileTitle = Left$(tmpBuff, i - 1)
    Else
      xFileTitle = ""
    End If
  Else
    xFileTitle = ""
  End If

  PropertyChanged "FileName"
End Property

Public Property Get FileTitle() As String
  FileTitle = xFileTitle
End Property

Public Property Get Filter() As String
  Filter = xFilter
End Property

Public Property Let Filter(Filter As String)
  xFilter = Filter
  PropertyChanged "Filter"
End Property

Public Property Get FilterIndex() As Long
  FilterIndex = xFilterIndex
End Property

Public Property Let FilterIndex(FilterIndex As Long)
  xFilterIndex = FilterIndex
  PropertyChanged "FilterIndex"
End Property

Public Property Get flags() As eCmnDlgFlags
  flags = xFlags
End Property

Public Property Let flags(flags As eCmnDlgFlags)
  xFlags = flags
  PropertyChanged "Flags"
End Property

Public Property Get FontBold() As Boolean
  FontBold = xFontBold
End Property

Public Property Let FontBold(FontBold As Boolean)
  xFontBold = FontBold
  PropertyChanged "FontBold"
End Property

Public Property Get FontCharset() As eCmnDlgFontCharset
  FontCharset = xFontCharset
End Property

Public Property Let FontCharset(FontCharset As eCmnDlgFontCharset)
  xFontCharset = FontCharset
  PropertyChanged "FontCharset"
End Property

Public Property Get FontItalic() As Boolean
  FontItalic = xFontItalic
End Property

Public Property Let FontItalic(FontItalic As Boolean)
  xFontItalic = FontItalic
  PropertyChanged "FontItalic"
End Property

Public Property Get FontName() As String
  FontName = xFontName
End Property

Public Property Let FontName(FontName As String)
  xFontName = FontName
  PropertyChanged "FontName"
End Property

Public Property Get FontSize() As Long
  FontSize = xFontSize
End Property

Public Property Let FontSize(FontSize As Long)
  xFontSize = FontSize
  PropertyChanged "FontSize"
End Property

Public Property Get FontStrikeThru() As Boolean
  FontStrikeThru = xFontStrikeThru
End Property

Public Property Let FontStrikeThru(FontStrikeThru As Boolean)
  xFontStrikeThru = FontStrikeThru
  PropertyChanged "FontStrikeThru"
End Property

Public Property Get FontUnderline() As Boolean
  FontUnderline = xFontUnderline
End Property

Public Property Let FontUnderline(FontUnderline As Boolean)
  xFontUnderline = FontUnderline
  PropertyChanged "FontUnderline"
End Property

Public Property Get FromPage() As Long
  FromPage = xFromPage
End Property

Public Property Let FromPage(FromPage As Long)
  xFromPage = FromPage
  PropertyChanged "FromPage"
End Property

Public Property Get hdc() As Long
  'printer
  hdc = xhDC
End Property

Public Property Get HelpCommand() As eCmnDlgHelpCommand
  HelpCommand = xHelpCommand
End Property

Public Property Let HelpCommand(HelpCommand As eCmnDlgHelpCommand)
  xHelpCommand = HelpCommand
  PropertyChanged "HelpCommand"
End Property

Public Property Get HelpContext() As Long
  HelpContext = xHelpContext
End Property

Public Property Let HelpContext(HelpContext As Long)
  xHelpContext = HelpContext
  PropertyChanged "HelpContext"
End Property

Public Property Get HelpFile() As String
  HelpFile = xHelpFile
End Property

Public Property Let HelpFile(HelpFile As String)
  xHelpFile = HelpFile
  PropertyChanged "HelpFile"
End Property

Public Property Get HelpKey() As String
  HelpKey = xHelpKey
End Property

Public Property Let HelpKey(HelpKey As String)
  xHelpKey = HelpKey
  PropertyChanged "HelpKey"
End Property

Public Property Get InitDir() As String
  InitDir = xInitDir
End Property

Public Property Let InitDir(InitDir As String)
  xInitDir = InitDir
  PropertyChanged "InitDir"
End Property

Public Property Get LastError() As Long
  LastError = xLastError
End Property

Public Property Get Max() As Long
  Max = xMax
End Property

Public Property Let Max(Max As Long)
  xMax = Max
  PropertyChanged "Max"
End Property

Public Property Get MaxFileSize() As Long
  MaxFileSize = xMaxFileSize
End Property

Public Property Let MaxFileSize(MaxFileSize As Long)
  xMaxFileSize = MaxFileSize
  PropertyChanged "MaxFileSize"
End Property

Public Property Get Min() As Long
  Min = xMin
End Property

Public Property Let Min(Min As Long)
  xMin = Min
  PropertyChanged "Min"
End Property

Public Property Get Orientation() As eCmnDlgOrientation
  Orientation = xOrientation
End Property

Public Property Let Orientation(Orientation As eCmnDlgOrientation)
  xOrientation = Orientation
  PropertyChanged "Orientation"
End Property

Public Property Get PrinterDefault() As Boolean
  PrinterDefault = xPrinterDefault
End Property

Public Property Let PrinterDefault(PrinterDefault As Boolean)
  xPrinterDefault = PrinterDefault
  PropertyChanged "PrinterDefault"
End Property

Public Property Get ToPage() As Long
  ToPage = xToPage
End Property

Public Property Let ToPage(ToPage As Long)
  xToPage = ToPage
  PropertyChanged "ToPage"
End Property

Public Sub ShowColor()
  xLastError = 0
  
  Dim tmpCC As ChooseColor
  tmpCC.flags = xFlags
  tmpCC.hwndOwner = UserControl.Parent.hWnd
  tmpCC.hInstance = App.hInstance
  tmpCC.lpCustColors = String$(16 * 4, 0)
  tmpCC.lStructSize = Len(tmpCC)
  tmpCC.rgbResult = xColor

  Dim tmpRet As Long
  tmpRet = ChooseColor(tmpCC)
  If tmpRet <> 0 Then
    xColor = tmpCC.rgbResult
    xFlags = tmpCC.flags
  Else
    xLastError = 32755
  End If
End Sub

Public Sub ShowFont()
  xLastError = 0

  Dim tmpDefFont As LOGFONT
  tmpDefFont.lfCharSet = xFontCharset
  tmpDefFont.lfClipPrecision = CLIP_DEFAULT_PRECIS
  tmpDefFont.lfEscapement = 0
  Dim tmpFontName() As Byte
  tmpFontName() = StrConv(Left$(xFontName, LF_FACESIZE + 1), vbFromUnicode)
  ReDim Preserve tmpFontName(0 To Len(xFontName))
  MoveMemoryByte2Byte tmpDefFont.lfFaceName(1), tmpFontName(0), Len(xFontName)
  tmpDefFont.lfHeight = -MulDiv(xFontSize, GetDeviceCaps(UserControl.hdc, LOGPIXELSY), 72)
  tmpDefFont.lfItalic = xFontItalic
  tmpDefFont.lfOrientation = 0
  tmpDefFont.lfOutPrecision = OUT_DEFAULT_PRECIS
  tmpDefFont.lfPitchAndFamily = FF_DONTCARE
  tmpDefFont.lfQuality = DEFAULT_QUALITY
  tmpDefFont.lfStrikeOut = xFontStrikeThru
  tmpDefFont.lfUnderline = xFontUnderline
  tmpDefFont.lfWeight = IIf(xFontBold = True, FW_BOLD, FW_NORMAL)
  tmpDefFont.lfWidth = 0

  Dim tmpCF As ChooseFont
  tmpCF.flags = xFlags Or CF_INITTOLOGFONTSTRUCT
  tmpCF.hwndOwner = UserControl.Parent.hWnd
  tmpCF.hInstance = App.hInstance
  tmpCF.iPointSize = 0
  tmpCF.lStructSize = 60
  tmpCF.lpLogFont = VarPtr(tmpDefFont)
  tmpCF.nSizeMax = xMax
  tmpCF.nSizeMin = xMax
  tmpCF.rgbColors = xColor

  Dim tmpRet As Long
  tmpRet = ChooseFont(tmpCF)
  If tmpRet <> 0 Then
    xColor = tmpCF.rgbColors
    xFlags = tmpCF.flags
    xFontBold = IIf(tmpDefFont.lfWeight > FW_MEDIUM, True, False)
    xFontCharset = tmpDefFont.lfCharSet
    xFontItalic = CBool(tmpDefFont.lfItalic)
    ReDim tmpFontName(0 To LF_FACESIZE - 1)
    MoveMemoryByte2Byte tmpFontName(0), tmpDefFont.lfFaceName(1), LF_FACESIZE
    Dim tmpFontNameS As String
    tmpFontNameS = StrConv(tmpFontName, vbUnicode)
    xFontName = Left$(tmpFontNameS, InStr(1, tmpFontNameS, vbNullChar) - 1)
    xFontSize = -MulDiv(tmpDefFont.lfHeight, 72, GetDeviceCaps(UserControl.hdc, LOGPIXELSY))
    xFontStrikeThru = CBool(tmpDefFont.lfStrikeOut)
    xFontUnderline = CBool(tmpDefFont.lfUnderline)
  Else
    xLastError = 32755
  End If
End Sub

Public Sub ShowHelp()
  xLastError = 0

  Dim tmpRet As Long
  tmpRet = WinHelp(UserControl.Parent.hWnd, xHelpFile + vbNullChar, xHelpCommand, xHelpContext)
  If tmpRet <> 0 Then
  Else
    xLastError = 32755
  End If
End Sub

Public Sub ShowOpen()
  xLastError = 0
  
  Dim tmpOFN As OPENFILENAME
  tmpOFN.flags = xFlags
  tmpOFN.hwndOwner = UserControl.Parent.hWnd
  tmpOFN.hInstance = App.hInstance
  tmpOFN.lpstrCustomFilter = String$(1024, vbNullChar)
  tmpOFN.lpstrDefExt = xDefaultExt + vbNullChar
  tmpOFN.lpstrFile = xFileName + String$(MAX_PATH - Len(xFileName) - 1, vbNullChar) + vbNullChar
  tmpOFN.lpstrFileTitle = String$(MAX_PATH, vbNullChar)
  tmpOFN.lpstrFilter = Replace(xFilter, "|", vbNullChar) + vbNullChar
  tmpOFN.lpstrInitialDir = xInitDir + vbNullChar
  tmpOFN.lpstrTitle = IIf(Len(xDialogTitle) = 0, "Open", xDialogTitle) + vbNullChar
  tmpOFN.lStructSize = Len(tmpOFN)
  tmpOFN.nFileExtension = 0
  tmpOFN.nFileOffset = 0
  tmpOFN.nFilterIndex = xFilterIndex
  tmpOFN.nMaxCustFilter = Len(tmpOFN.lpstrCustomFilter)
  tmpOFN.nMaxFile = Len(tmpOFN.lpstrFile)
  tmpOFN.nMaxFileTitle = Len(tmpOFN.lpstrFileTitle)

  Dim tmpRet As Long
  tmpRet = GetOpenFileName(tmpOFN)
  If tmpRet <> 0 Then
    xFlags = tmpOFN.flags
    xFileName = Left$(tmpOFN.lpstrFile, InStr(1, tmpOFN.lpstrFile, vbNullChar) - 1)
    xFileTitle = Left$(tmpOFN.lpstrFileTitle, InStr(1, tmpOFN.lpstrFileTitle, vbNullChar) - 1)
    xFilterIndex = tmpOFN.nFilterIndex
  Else
    xLastError = 32755
  End If
End Sub

Public Sub ShowPrinter()
  xLastError = 0

  Dim tmpPD As PrintDlg
  tmpPD.flags = xFlags
  tmpPD.hDevMode = 0
  tmpPD.hDevNames = 0
  tmpPD.hInstance = App.hInstance
  tmpPD.hwndOwner = UserControl.Parent.hWnd
  tmpPD.lStructSize = Len(tmpPD)
  tmpPD.nCopies = xCopies
  tmpPD.nFromPage = xFromPage
  tmpPD.nMaxPage = xMax
  tmpPD.nMinPage = xMin
  tmpPD.nToPage = xToPage

  Dim tmpRet As Long
  tmpRet = PrintDlg(tmpPD)
  If tmpRet <> 0 Then
    xCopies = tmpPD.nCopies
    xFlags = tmpPD.flags
    xFromPage = tmpPD.nFromPage
    xhDC = tmpPD.hdc
    xToPage = tmpPD.nToPage
  Else
    xLastError = 32755
  End If
End Sub

Public Sub ShowSave()
  xLastError = 0
  
  Dim tmpOFN As OPENFILENAME
  tmpOFN.flags = xFlags
  tmpOFN.hwndOwner = UserControl.Parent.hWnd
  tmpOFN.hInstance = App.hInstance
  tmpOFN.lpstrCustomFilter = String$(1024, vbNullChar)
  tmpOFN.lpstrDefExt = xDefaultExt + vbNullChar
  tmpOFN.lpstrFile = xFileName + String$(MAX_PATH - Len(xFileName) - 1, vbNullChar) + vbNullChar
  tmpOFN.lpstrFileTitle = String$(MAX_PATH, vbNullChar)
  tmpOFN.lpstrFilter = Replace(xFilter, "|", vbNullChar) + vbNullChar
  tmpOFN.lpstrInitialDir = xInitDir + vbNullChar
  tmpOFN.lpstrTitle = IIf(Len(xDialogTitle) = 0, "Save As", xDialogTitle) + vbNullChar
  tmpOFN.lStructSize = Len(tmpOFN)
  tmpOFN.nFileExtension = 0
  tmpOFN.nFileOffset = 0
  tmpOFN.nFilterIndex = xFilterIndex
  tmpOFN.nMaxCustFilter = Len(tmpOFN.lpstrCustomFilter)
  tmpOFN.nMaxFile = Len(tmpOFN.lpstrFile)
  tmpOFN.nMaxFileTitle = Len(tmpOFN.lpstrFileTitle)

  Dim tmpRet As Long
  tmpRet = GetSaveFileName(tmpOFN)
  If tmpRet <> 0 Then
    xFlags = tmpOFN.flags
    xFileName = Left$(tmpOFN.lpstrFile, InStr(1, tmpOFN.lpstrFile, vbNullChar) - 1)
    xFileTitle = Left$(tmpOFN.lpstrFileTitle, InStr(1, tmpOFN.lpstrFileTitle, vbNullChar) - 1)
    xFilterIndex = tmpOFN.nFilterIndex
  Else
    xLastError = 32755
  End If
End Sub

Private Sub UserControl_InitProperties()
  Color = 0
  Copies = 1
  DefaultExt = ""
  DialogTitle = ""
  FileName = ""
  Filter = ""
  FilterIndex = 0
  flags = 0
  FontBold = False
  FontCharset = qfcAnsi
  FontItalic = False
  FontName = ""
  FontSize = 8
  FontStrikeThru = False
  FontUnderline = False
  FromPage = 0
  HelpCommand = 0
  HelpContext = 0
  HelpFile = ""
  HelpKey = ""
  InitDir = ""
  Max = 0
  MaxFileSize = MAX_PATH
  Min = 0
  Orientation = qorPortrait
  PrinterDefault = True
  ToPage = 0
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
  Color = PropBag.ReadProperty("Color", 0)
  Copies = PropBag.ReadProperty("Copies", 1)
  DefaultExt = PropBag.ReadProperty("DefaultExt", "")
  DialogTitle = PropBag.ReadProperty("DialogTitle", "")
  FileName = PropBag.ReadProperty("FileName", "")
  Filter = PropBag.ReadProperty("Filter", "")
  FilterIndex = PropBag.ReadProperty("FilterIndex", 0)
  flags = PropBag.ReadProperty("Flags", 0)
  FontBold = PropBag.ReadProperty("FontBold", False)
  FontCharset = PropBag.ReadProperty("FontCharset", qfcAnsi)
  FontItalic = PropBag.ReadProperty("FontItalic", False)
  FontName = PropBag.ReadProperty("FontName", "")
  FontSize = PropBag.ReadProperty("FontSize", 8)
  FontStrikeThru = PropBag.ReadProperty("FontStrikeThru", False)
  FontUnderline = PropBag.ReadProperty("FontUnderline", False)
  FromPage = PropBag.ReadProperty("FromPage", 0)
  HelpCommand = PropBag.ReadProperty("HelpCommand", 0)
  HelpContext = PropBag.ReadProperty("HelpContext", 0)
  HelpFile = PropBag.ReadProperty("HelpFile", "")
  HelpKey = PropBag.ReadProperty("HelpKey", "")
  InitDir = PropBag.ReadProperty("InitDir ", "")
  Max = PropBag.ReadProperty("Max ", 0)
  MaxFileSize = PropBag.ReadProperty("MaxFileSize ", MAX_PATH)
  Min = PropBag.ReadProperty("Min", 0)
  Orientation = PropBag.ReadProperty("Orientation", qorPortrait)
  PrinterDefault = PropBag.ReadProperty("PrinterDefault", True)
  ToPage = PropBag.ReadProperty("ToPage", 0)
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
  PropBag.WriteProperty "Color", Color, 0
  PropBag.WriteProperty "Copies", Copies, 1
  PropBag.WriteProperty "DefaultExt", DefaultExt, ""
  PropBag.WriteProperty "DialogTitle", DialogTitle, ""
  PropBag.WriteProperty "FileName", FileName, ""
  PropBag.WriteProperty "Filter", Filter, ""
  PropBag.WriteProperty "FilterIndex", FilterIndex, 0
  PropBag.WriteProperty "Flags", flags, 0
  PropBag.WriteProperty "FontBold", FontBold, False
  PropBag.WriteProperty "FontCharset", FontCharset, qfcAnsi
  PropBag.WriteProperty "FontItalic", FontItalic, False
  PropBag.WriteProperty "FontName", FontName, ""
  PropBag.WriteProperty "FontSize", FontSize, 8
  PropBag.WriteProperty "FontStrikeThru", FontStrikeThru, False
  PropBag.WriteProperty "FontUnderline", FontUnderline, False
  PropBag.WriteProperty "FromPage", FromPage, 0
  PropBag.WriteProperty "HelpCommand", HelpCommand, 0
  PropBag.WriteProperty "HelpContext", HelpContext, 0
  PropBag.WriteProperty "HelpFile", HelpFile, ""
  PropBag.WriteProperty "HelpKey", HelpKey, ""
  PropBag.WriteProperty "InitDir", InitDir, ""
  PropBag.WriteProperty "Max", Max, 0
  PropBag.WriteProperty "MaxFileSize", MaxFileSize, MAX_PATH
  PropBag.WriteProperty "Min", Min, 0
  PropBag.WriteProperty "Orientation", Orientation, qorPortrait
  PropBag.WriteProperty "PrinterDefault", PrinterDefault, True
  PropBag.WriteProperty "ToPage", ToPage, 0
End Sub

Private Sub UserControl_Paint()
  UserControl.Line (35, 0)-(35, 36), vbButtonShadow
  UserControl.Line (0, 35)-(36, 35), vb3DShadow
  UserControl.Line (0, 0)-(36, 0), vb3DHighlight
  UserControl.Line (0, 0)-(0, 36), vb3DHighlight
End Sub

Private Sub UserControl_Resize()
  UserControl.Width = 36 * Screen.TwipsPerPixelX
  UserControl.Height = 36 * Screen.TwipsPerPixelY
End Sub
