Attribute VB_Name = "mdlDate"
'Author
'  Name .....: Josip Medved
'  E-mail ...: jmedved@vip.hr
'  URL ......: http://web.vip.hr/jmedved.vip/qeyes/

'Information
'  Additional : -
'  Requires ..: -
'  Has help ..: No
'  Has readme : No
'  Has sample : Yes
'  Created ...: 2002/04/07 (yyyy/mm/dd)
'  Last update: 2002/04/12 (yyyy/mm/dd)
'  Notes .....: -

'If you use this file in your program it would be nice to mention
'where you got it from, but you are not obligated to do so.


Option Explicit

Public Function DateGetEasterDate(Year As Long) As Date 'Butcher's Ecclesiastical Calendar
  Dim eYear As Long, eMonth As Long, eDay As Long
  
  eYear = Year
  If (eYear < 1583) Or (eYear > 4000) Then Exit Function

  Dim a As Long, b As Long, c As Long, d As Long, e As Long, f As Long, g As Long, h As Long, i As Long, j As Long, k As Long, l As Long, m As Long

  a = eYear Mod 19
  b = eYear \ 100
  c = eYear Mod 100
  d = b \ 4
  e = b Mod 4
  f = (b + 8) \ 25
  g = (b - f + 1) \ 3
  h = (19 * a + b - d - g + 15) Mod 30
  i = c \ 4
  j = c Mod 4
  k = (32 + 2 * e + 2 * i - h - j) Mod 7
  l = (a + 11 * h + 22 * k) \ 451
  m = (h + k - 7 * l + 114) Mod 31
  
  eMonth = (h + k - 7 * l + 114) \ 31
  eDay = m + 1

  DateGetEasterDate = DateSerial(eYear, eMonth, eDay)
End Function
